DSRW_READ_ARRAY_DESC(3)

FUNCTION
dsrw_read_array_desc - Read the binary representation of an array descriptor.

SYNOPSIS
#include <karma_dsrw.h>

array_desc * dsrw_read_array_desc

(Channel channel, unsigned int type)

DESCRIPTION
This routine will read the binary representation of an array descriptor from a channel object. The routine will recursively read the packet descriptor for the array.

channel
    The channel object.

type
    The type of the array. Legal values are: ARRAYP (old format) K_ARRAY (new format)

RETURN VALUE
A pointer to the array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/